Skip to main content
Get Account Beneficiaries
curl --request GET \
  --url https://api.yapily.com/accounts/{accountId}/beneficiaries \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'consent: <consent>'
import requests

url = "https://api.yapily.com/accounts/{accountId}/beneficiaries"

headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.yapily.com/accounts/{accountId}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "112",
      "trusted": true,
      "reference": "Rent",
      "payee": {
        "name": "John Doe",
        "accountIdentifications": [
          {
            "type": "SORT_CODE",
            "identification": "123456"
          },
          {
            "type": "ACCOUNT_NUMBER",
            "identification": "12345678"
          }
        ]
      }
    }
  ]
}
{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.

Headers

Mandatory. The consent-token containing the user's authorisation to make the request.

sub-application
string<uuid>

The sub-application ID to which event type is being subscribed to

Path Parameters

accountId
string
required

Mandatory. The account Id of the user's bank account.

Response

Ok

meta
object
data
object[]
forwardedData
object[]
raw
object[]
deprecated